View Issue Details

IDProjectCategoryView StatusLast Update
0001193Database Comparer VCLGeneralpublic2019-12-24 15:57
Reportershirokov Assigned Tobarry  
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Fixed in Version8.0.0.1693.Beta 
Summary0001193: MS SQL TIME column is extracted incorrectly.
DescriptionThe issue is that the extracted metadata created by the component just has a question mark in it, not the correct TIME type.
e.g.

ENDOFDAY ? NULL,

Fix suggestion:
in procedure TMSSQLDBExtract.ColumnType(fldData: TFldData; TypeName: String; Len, Prec, Scale, Nullable: Integer);

add the following
else if TypeName = 'time' then fldData.FieldType := iftTime
Steps To ReproduceCheck the ticket http://barry.exp-host.ru/tracker/view.php?id=1189 for database scripts.
TagsNo tags attached.

Relationships

related to 0001189 feedbackbarry DB object creation order is invalid 

Activities

barry

2018-06-01 05:33

administrator   ~0003742

? решено для скрипта

Issue History

Date Modified Username Field Change
2017-12-08 17:32 shirokov New Issue
2018-06-01 05:33 barry Assigned To => barry
2018-06-01 05:33 barry Status new => assigned
2018-06-01 05:33 barry Note Added: 0003742
2019-12-13 09:51 barry Relationship added related to 0001189
2019-12-24 15:57 barry Status assigned => resolved
2019-12-24 15:57 barry Resolution open => fixed
2019-12-24 15:57 barry Fixed in Version => 8.0.0.1693.Beta